KDS
4 API calls in this section.
List KDS Orders
Restaurant Menu / KDS
GET
/restaurant/kds/orders?location_id={{location_id}}&statuses=queued,preparing,ready&page=1&limit=10&append=falseSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/restaurant/kds/orders?location_id={{location_id}}&statuses=queued,preparing,ready&page=1&limit=10&append=false" \2 --header "Authorization: Bearer {{access_token}}"Query parameters
location_idOptionalquery string
{{location_id}}
statusesOptionalquery string
queued,preparing,ready
pageOptionalquery string
1
limitOptionalquery string
10
appendOptionalquery string
false
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Print Ticket
Restaurant Menu / KDS
POST
/restaurant/kds/tickets/:id/printSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/restaurant/kds/tickets/:id/print" \2 --header "Authorization: Bearer {{access_token}}"Path parameters
idRequiredpath string
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Update Ticket Status
Restaurant Menu / KDS
POST
/restaurant/kds/tickets/:id/statusSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/restaurant/kds/tickets/:id/status" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "status": "preparing"6}'Request body
json
1{2 "status": "preparing"3}Path parameters
idRequiredpath string
Request body fields
statusExamplestring
Example field from the request body.
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.
Update Ticket ETA
Restaurant Menu / KDS
POST
/restaurant/kds/tickets/:id/etaSend a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request POST "$ONDI_BASE_URL/restaurant/kds/tickets/:id/eta" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --data '{5 "eta_minutes": 156}'Request body
json
1{2 "eta_minutes": 153}Path parameters
idRequiredpath string
Request body fields
eta_minutesExamplenumber
Example field from the request body.
Headers
AuthorizationOptionalheader string
Bearer {{access_token}}
Responses
No response example is available for this endpoint yet.